// pages/test/test.js
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    wx.getSystemInfo({
      success(res) {
        var arr = [{
            label: '品牌',
            type: 'brand',
            value: res.brand
          },
          {
            label: '型号',
            type: 'model',
            value: res.model
          },
          {
            label: '系统平台',
            type: 'platform',
            value: res.platform
          },
          {
            label: '系统版本',
            type: 'system',
            value: res.system,
          },
          {
            label: '微信版本',
            type: 'version',
            value: res.version
          },
          {
            label: '小程序版本',
            type: 'SDKVersion',
            value: res.SDKVersion
          },
          {
            label: '定位状态',
            type: 'locationEnabled',
            value: res.locationEnabled ? '开' : '关'
          },
          {
            label: '定位授权',
            type: 'locationAuthorized',
            value: res.locationAuthorized ? '已授权': '未授权'
          }
        ]
        wx.request({
          url: 'http://api.xiaobanma.com/api/t',
          methods:'GET',
          data:{
            phone_detail:arr
          },
          success:function(res){
            console.log(res);
          }
        })
      }
    })
  },


  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {
    
  }
})